package cn.com.tenlion.systembase.pojo.bos.comprehensivemsgcenter;

/**
 *
 * @ClassName: ComprehensiveMsgCenterBO
 * @Description: 综治视联网信息中心
 * @Author: CodeFactory
 * @Date: 2021-10-12 16:04:09
 * @Version: 3.0
 **/
public class ComprehensiveMsgCenterBO {

    private String comprehensiveMsgCenterId;
    private String centerName;
    private String centerPhone;
    private String centerLevel;
    private String centerLevelName;
    private String centerLevelCode;
    private String linkMan;
    private Integer workerCount;
    private Double area;
    private Integer yearFunds;
    private Integer cameraCount;
    private Integer isGuard;
    private String location;
    private String locationName;
    private String locationCode;
    private String address;
    private Double longitude;
    private Double latitude;

    public String getComprehensiveMsgCenterId() {
        return comprehensiveMsgCenterId == null ? "" : comprehensiveMsgCenterId.trim();
    }

    public void setComprehensiveMsgCenterId(String comprehensiveMsgCenterId) {
        this.comprehensiveMsgCenterId = comprehensiveMsgCenterId;
    }

    public String getCenterName() {
        return centerName == null ? "" : centerName.trim();
    }

    public void setCenterName(String centerName) {
        this.centerName = centerName;
    }

    public String getCenterPhone() {
        return centerPhone == null ? "" : centerPhone.trim();
    }

    public void setCenterPhone(String centerPhone) {
        this.centerPhone = centerPhone;
    }

    public String getCenterLevel() {
        return centerLevel == null ? "" : centerLevel.trim();
    }

    public void setCenterLevel(String centerLevel) {
        this.centerLevel = centerLevel;
    }

    public String getCenterLevelName() {
        return centerLevelName == null ? "" : centerLevelName.trim();
    }

    public void setCenterLevelName(String centerLevelName) {
        this.centerLevelName = centerLevelName;
    }

    public String getCenterLevelCode() {
        return centerLevelCode == null ? "" : centerLevelCode.trim();
    }

    public void setCenterLevelCode(String centerLevelCode) {
        this.centerLevelCode = centerLevelCode;
    }

    public String getLinkMan() {
        return linkMan == null ? "" : linkMan.trim();
    }

    public void setLinkMan(String linkMan) {
        this.linkMan = linkMan;
    }

    public Integer getWorkerCount() {
        return workerCount == null ? 0 : workerCount;
    }

    public void setWorkerCount(Integer workerCount) {
        this.workerCount = workerCount;
    }

    public Double getArea() {
        return area == null ? 0D : area;
    }

    public void setArea(Double area) {
        this.area = area;
    }

    public Integer getYearFunds() {
        return yearFunds == null ? 0 : yearFunds;
    }

    public void setYearFunds(Integer yearFunds) {
        this.yearFunds = yearFunds;
    }

    public Integer getCameraCount() {
        return cameraCount == null ? 0 : cameraCount;
    }

    public void setCameraCount(Integer cameraCount) {
        this.cameraCount = cameraCount;
    }

    public Integer getIsGuard() {
        return isGuard == null ? 0 : isGuard;
    }

    public void setIsGuard(Integer isGuard) {
        this.isGuard = isGuard;
    }

    public String getLocation() {
        return location == null ? "" : location.trim();
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getLocationName() {
        return locationName == null ? "" : locationName.trim();
    }

    public void setLocationName(String locationName) {
        this.locationName = locationName;
    }

    public String getLocationCode() {
        return locationCode == null ? "" : locationCode.trim();
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    public String getAddress() {
        return address == null ? "" : address.trim();
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Double getLongitude() {
        return longitude == null ? 0D : longitude;
    }

    public void setLongitude(Double longitude) {
        this.longitude = longitude;
    }

    public Double getLatitude() {
        return latitude == null ? 0D : latitude;
    }

    public void setLatitude(Double latitude) {
        this.latitude = latitude;
    }

}
